Foxit PDF SDK

Public Member Functions | List of all members
FoxitPDFSDKPython2.ParagraphEditingMgr Class Reference
Inheritance diagram for FoxitPDFSDKPython2.ParagraphEditingMgr:

## Public Member Functions
def | ParagraphEditingMgr (other)
| Constructor, with another paragraph edit manager object. More...
def | GetJoinSplit ()
| Get the join split object. More...
def | GetParagraphEditing ()
| Get the paragraph edit object. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...
def | SetSystemDPI (horizontal_dpi, vertical_dpi)
| Set the dpi for the paragraph editing provider used. More...

## Detailed Description

This class represents a paragraph editing manager used for editing PDF page.

User can call the function FoxitPDFSDKPython2.ParagraphEditingMgr.GetParagraphEditing to get current ParagraphEditing object in the process of using edit page. User can call the function FoxitPDFSDKPython2.ParagraphEditingMgr.GetJoinSplit to get current JoinSplit object in the process of using edit page.

See also
  ParagraphEditing
  JoinSplit

## Constructor & Destructor Documentation

## ◆ ParagraphEditingMgr()

def FoxitPDFSDKPython2.ParagraphEditingMgr.ParagraphEditingMgr | ( |  | other | ) |

Constructor, with another paragraph edit manager object.

Constructor.

Parameters

  [in] | other | Another paragraph edit manager object.
  [in] | callback | A valid paragraph editing provider callback object.
  [in] | document | A valid PDF document object.

## Member Function Documentation

## ◆ GetJoinSplit()

def FoxitPDFSDKPython2.ParagraphEditingMgr.GetJoinSplit | ( |  | ) |

Get the join split object.

Returns
  The JoinSplit object.

## ◆ GetParagraphEditing()

def FoxitPDFSDKPython2.ParagraphEditingMgr.GetParagraphEditing | ( |  | ) |

Get the paragraph edit object.

Returns
  The ParagraphEditing object.

## ◆ IsEmpty()

def FoxitPDFSDKPython2.ParagraphEditingMgr.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ SetSystemDPI()

def FoxitPDFSDKPython2.ParagraphEditingMgr.SetSystemDPI | ( |  | horizontal_dpi,
|  |  | vertical_dpi
| ) |  |

Set the dpi for the paragraph editing provider used.

Parameters

  [in] | horizontal_dpi | A horizontal dpi for paragraph editing provider. It should be greater than 0.Default Value:96.
  [in] | vertical_dpi | A vertical dpi for paragraph editing provider. It should be greater than 0. Default Value:96.

Returns
  None.